Subject: 30.0.50; Make `repeat-echo-function` as a LIST of functions

From: Ramesh Nedunchezian <[email-masked]>
Date: Tue, 27 Dec 2022 15:42:29 +0530

I need some visual cues for when I am in "repeat-mode".

For example, down below I change the cursor shape and colour depending

Right now `repeat-echo-function` is NOT a list.  This means that I
LOSE the ability to see the repeatabe keys in the echo area.

If `repeat-echo-function` is SOMEHOW repelaced with a list of
functions, I can have BOTH the cues for repeatable state--the echo
area message, and the cursor shape.

(setq repeat-echo-function
      (defun my-repeat-echo-function (keymap)
    (cond
     (keymap
      (set-cursor-color "black")
      (setq cursor-type '(hbar . 7)))
     (t
      (set-cursor-color "red")
      (setq cursor-type t)))))